### Property

# Adw MessageDialog:close-response

since: 1.2

#### Declaration

    property close-response: utf8 [ read, write ]

#### Description [src]

The ID of the close response.

It will be passed to `AdwMessageDialog::response` if the window is closed by pressing `Escape` or with a system action.

It doesn’t have to correspond to any of the responses in the dialog.

The default close response is `close`.

Type:`gchar*`

Available since: 1.2

Default value | close
Getter method | `adw_message_dialog_get_close_response()`
Setter method | `adw_message_dialog_set_close_response()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no